> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Trả danh sách toàn bộ mã chứng khoán



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /instruments
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /instruments:
    get:
      tags:
        - Instruments
      summary: Trả danh sách toàn bộ mã chứng khoán
      operationId: Instruments_AllInstruments
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FireAnt.Api.Models.Trading.InstrumentItem
            text/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/FireAnt.Api.Models.Trading.InstrumentItem
        '400':
          description: Có lỗi khi thực hiện thao tác
components:
  schemas:
    FireAnt.Api.Models.Trading.InstrumentItem:
      type: object
      properties:
        instrument:
          type: string
        symbol:
          type: string
        name:
          type: string
        exchange:
          type: string
        unit:
          format: int32
          type: integer
        type:
          type: string
        supportStopOrder:
          type: boolean
        supportLimitOrder:
          type: boolean

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.